package nc.ui.gl.mrbalancebooks;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import nc.ui.gl.glreport.FctRunTestDlg;
import nc.ui.gl.mrbalancebooks.BalancebookView;
import nc.ui.gl.mrbalancebooks.MrBalancebooksModel;
import nc.ui.glpub.IParent;
import nc.ui.glpub.IUiPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.ToftPanel;
import nc.vo.bd.b54.GlorgbookVO;
import nc.vo.ml.NCLangRes4VoTransl;

public class ToftPanelView extends ToftPanel implements IUiPanel {

   private BalancebookView ivjBalancebook = null;
   private ButtonObject[] m_accbooksBns;
   private MrBalancebooksModel model = new MrBalancebooksModel();
   public IParent p_parent;
   public IUiPanel m_next;
   private boolean isUFODebug = false;


   public ToftPanelView() {
      String check = this.checkPrerequisite();
      if(check == null) {
         this.initialize();
      } else {
         this.showErrorMessage(check);
      }

   }

   protected String checkPrerequisite() {
      return ClientEnvironment.getInstance().getCorporation().getPk_corp().equals("0001")?NCLangRes.getInstance().getStrByID("2004", "UPP2004-v57-000013"):null;
   }

   public void addListener(Object objListener, Object objUserdata) {
   }

   private BalancebookView getBalancebookView() {
      if(this.ivjBalancebook == null) {
         try {
            this.ivjBalancebook = new BalancebookView(this);
            this.ivjBalancebook.setName("Balancebook");
            this.ivjBalancebook.setBounds(0, 0, 774, 418);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjBalancebook;
   }

   public void updateButtons() {
      super.updateButtons();
   }

   protected void processKeyEvent(KeyEvent e) {
      super.processKeyEvent(e);
      if(e.getKeyCode() == 120 && e.isAltDown()) {
         FctRunTestDlg dlg = new FctRunTestDlg(this);
         dlg.showModal();
      }

   }

   public String getTitle() {
      return NCLangRes4VoTransl.getNCLangRes().getStrByID("2002GL502", "UPP2002GL502-000189");
   }

   private void handleException(Throwable exception) {
   }

   private void initButtons() {
      this.m_accbooksBns = new ButtonObject[7];
      this.m_accbooksBns[0] = new ButtonObject(nc.ui.gl.balancebooks.ButtonKey.bnQRY);
      this.m_accbooksBns[0].setTag(nc.ui.gl.balancebooks.ButtonKey.bnQRY);
      this.m_accbooksBns[0].setCode("查询");
      this.m_accbooksBns[1] = new ButtonObject(nc.ui.gl.balancebooks.ButtonKey.bnDetail);
      this.m_accbooksBns[1].setTag(nc.ui.gl.balancebooks.ButtonKey.bnDetail);
      this.m_accbooksBns[1].setCode("明细");
      this.m_accbooksBns[2] = new ButtonObject(nc.ui.gl.balancebooks.ButtonKey.bnTriAcc);
      this.m_accbooksBns[2].setTag(nc.ui.gl.balancebooks.ButtonKey.bnTriAcc);
      this.m_accbooksBns[2].setCode("总账");
      this.m_accbooksBns[2].setVisible(false);
      this.m_accbooksBns[3] = new ButtonObject(nc.ui.gl.balancebooks.ButtonKey.bnAux);
      this.m_accbooksBns[3].setTag(nc.ui.gl.balancebooks.ButtonKey.bnAux);
      this.m_accbooksBns[3].setCode("辅助");
      this.m_accbooksBns[4] = new ButtonObject(nc.ui.gl.balancebooks.ButtonKey.bnPrint);
      this.m_accbooksBns[4].setTag(nc.ui.gl.balancebooks.ButtonKey.bnPrint);
      this.m_accbooksBns[4].setCode("打印");
      this.m_accbooksBns[5] = new ButtonObject(nc.ui.gl.balancebooks.ButtonKey.bnListMultiOrg);
      this.m_accbooksBns[5].setTag(nc.ui.gl.balancebooks.ButtonKey.bnListMultiOrg);
      this.m_accbooksBns[5].setCode("多主体列示");
      this.m_accbooksBns[5].setVisible(false);
      this.m_accbooksBns[6] = new ButtonObject(nc.ui.gl.balancebooks.ButtonKey.bnReturn);
      this.m_accbooksBns[6].setTag(nc.ui.gl.balancebooks.ButtonKey.bnReturn);
      this.m_accbooksBns[6].setCode("返回");
      this.setButtons(this.m_accbooksBns);
   }

   private void initialize() {
      try {
         this.setName("ToftpanelView");
         this.setLayout(new BorderLayout());
         this.setSize(774, 419);
         this.initButtons();
         this.add(this.getBalancebookView(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      new ToftPanelView.FormulaExeKeyAdapter();
   }

   public Object invoke(Object objData, Object objUserData) {
      return null;
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ToftPanelView aToftpanelView = new ToftPanelView();
         exception.setContentPane(aToftpanelView);
         exception.setSize(aToftpanelView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void nextClosed() {
   }

   public void onButtonClicked(ButtonObject bo) {
      try {
         for(int e = 0; e < this.m_accbooksBns.length; ++e) {
            if(bo.equals(this.m_accbooksBns[e])) {
               this.getBalancebookView().tackleBnsEvent(e);
               break;
            }
         }
      } catch (Exception var3) {
         this.showErrorMessage(var3.getMessage());
      }

   }

   public void removeListener(Object objListener, Object objUserdata) {
   }

   public void showMe(IParent parent) {
      parent.getUiManager().removeAll();
      parent.getUiManager().add(this, this.getName());
      if(parent instanceof ToftPanel) {
         ToftPanel new_name = (ToftPanel)parent;
         String orgbookname = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
         new_name.updateStatusBarAccountMsg(orgbookname);
      }

      this.p_parent = parent;
      this.getBalancebookView().setIParent(this.p_parent);
   }

   public class FormulaExeKeyAdapter implements KeyListener {

      public void keyPressed(KeyEvent e) {
         e.consume();
         if(e.getKeyCode() == 120 && e.isAltDown() && e.isControlDown()) {
            FctRunTestDlg dlg = new FctRunTestDlg(ToftPanelView.this);
            dlg.showModal();
         }

      }

      public void keyReleased(KeyEvent e) {
      }

      public void keyTyped(KeyEvent e) {
      }
   }
}
